Package org.apache.tools.ant.taskdefs.modules

# Class Link.VMType

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.modules.Link.VMType

Enclosing class:
  `Link`

public static class Link.VMType extends EnumeratedAttribute
Possible values for JVM type in linked image: `client`, `server`, `minimal`, or `all`.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VMType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VMType

    public VMType()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.